------------------------------------------------------------------------------------
--Name:  	Thanksgiving4
--Creator:	由剧情表现脚本编辑器生成
--Created:	2023-10-26
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(51, 43)
local Player_1 = CppScriptMgr:AddPlayer(465, 51, 43, "WhiteLeopard", 0, 0)
Player_1:SetDir(7)
Player_1:SetAction(101)
local Player_2 = CppScriptMgr:AddSimplePlayer(1059260, 54, 40, "Warsi", 0, 0)
Player_2:SetDir(1)
Player_2:SetArmor(194215, 0, 1)
Player_2:SetHair(101, 1)
local Player_3 = CppScriptMgr:AddSimplePlayer(1059210, 48, 46, "Susanna", 0, 0)
Player_3:SetDir(5)
Player_3:SetArmor(191595, 0, 1)
Player_3:SetHair(163, 1)
CppScriptMgr:WaitMilSec(1000)
Player_2:Say("I`ll have the White Leopard!", 1500)
CppScriptMgr:WaitMilSec(1500)
Player_3:Say("Let`s see who can get it, Warsi!", 1500)
CppScriptMgr:WaitMilSec(1440)
Player_2:SetAction(401)
Player_3:SetAction(401)
CppScriptMgr:WaitMilSec(60)
local Effect_1 = CppScriptMgr:AddEffect("ssch_wlhd_hit", 51, 43, 33, 1, 1, 1)
Effect_1:Scale(2, 2, 2)
local Effect_2 = CppScriptMgr:AddEffect("nag_bom_ass", 51, 43, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1500)
local Effect_3 = CppScriptMgr:AddEffect("ride_screen", 51, 43, 33, 1, 1, 1)
local Effect_4 = CppScriptMgr:AddEffect("bump2-bb", 51, 43, 33, 1, 1, 1)
CppScriptMgr:WaitMilSec(1500)
Player_2:SetAction(483)
Player_3:SetAction(483)
CppScriptMgr:WaitMilSec(1000)
Player_1:JumpTo(34, 26)
CppScriptMgr:WaitMilSec(1000)
Player_1:SetHide(1)
CppScriptMgr:WaitMilSec(500)